Migrate Elasticsearch resource to use ILM
- Base URL
-
https://api.elastic-cloud.com/api/v1
- POST /deployments/{deployment_id}/elasticsearch/{ref_id}/_enable-ilm
Migrates the specified Elasticsearch resource to use ILM.
Request body
Information to build the ILM policies that will be created
Responses
Standard response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
We have failed you. (code: deployments.deployment_resource_no_longer_exists)